
Application: gvSIG desktop - gvSIG bugs #1861
Error loading a shapefile
05/21/2013 12:29 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Document view
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1. Open a view.
2. Load the attached shapefile (comvalenciana_muni).
3. After accepting the load file dialog box we get an error.

Log file attached.

The file was previously edited with gvSIG 1.11. It is correctly loaded in both gvSIG 1.11 and 1.12 versions.

History
#1 - 06/25/2013 06:42 PM - Manuel Madrid
- Assignee set to Ignacio Brodín

#2 - 06/26/2013 03:39 PM - Ignacio Brodín

The problem was in the encoding. The encoding of this file is Standard Macintosh and the system do not support it. I've built a list of supported
encondings by the system and compare the dbf encoding with this list. If it is in the encoding list will be accepted else it will return the default encoding
(UTF-8).

gvsig-desktop:r40422

#3 - 06/26/2013 03:39 PM - Ignacio Brodín
- Status changed from New to Fixed

#4 - 01/13/2014 09:45 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#5 - 01/28/2014 08:55 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_error_loading_shp_2.log 222 KB 05/21/2013 Manuel Madrid
comvalenciana_muni.zip 216 KB 05/21/2013 Manuel Madrid
